#!/bin/sh

cd tests || { echo "ERROR: Could not change to tests directory" ; exit 1; } >&2
tests=../../$srcdir/tests

testname=$(basename $0)
rm -f $testname.log
rm -rf run$testname

mkdir run$testname && cd run$testname || { echo "ERROR: Could not change to test directory" ; exit 1; } >&2

tar -xf $tests/smallsubdirdata.tar.gz || { echo "ERROR: Could not extract data test files" ; exit 1; } >&2
tar -xf $tests/smallsubdirdata-par2files.tar.gz || { echo "ERROR: Could not extract par test files" ; exit 1; } >&2

banner="Repairing deleted subdir using PAR 2.0 data"
dashes=`echo "$banner" | sed s/./-/g`

echo $dashes
echo $banner
echo $dashes

cp subdir1/test-0.data ./test-0.data.orig
rm -rf subdir1

../../par2 r testdata.par2 > ../$testname.log || { echo "ERROR: Reconstruction of two files using PAR 2.0 failed" ; exit 1; } >&2
cmp -s subdir1/test-0.data test-0.data.orig || { echo "ERROR: Repaired files do not match originals" ; exit 1; } >&2

cd ..
rm -rf run$testname

exit 0;

